<?xml version="1.0" encoding="UTF-8"?>
<robot generator="Robot 7.3.2 (Python 3.12.3 on linux)" generated="2025-10-22T16:49:43.371885" rpa="false" schemaversion="5">
<suite id="s1" name="Tests" source="/home/ersyl/development/robot-scripts/front-office/Tests">
<suite id="s1-s1" name="Front Office" source="/home/ersyl/development/robot-scripts/front-office/Tests/Front_Office.robot">
<test id="s1-s1-t1" name="Should be able to access Home page" line="14">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:43.472934" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:43.472773" elapsed="0.798629"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:49:44.271603" elapsed="0.012841"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:44.284904" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:44.284654" elapsed="3.328200"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:43.471828" elapsed="4.141124"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:47.613668" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:47.613572" elapsed="0.032982"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:47.613415" elapsed="0.033254"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:49:47.647085" elapsed="0.010798"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:47.646842" elapsed="0.011157"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:47.613183" elapsed="0.044866"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:49:49.658494" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:49:47.658235" elapsed="2.000363"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:49:49.659101" elapsed="0.073258"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:49.658890" elapsed="0.073571"/>
</kw>
<doc>Home Page</doc>
<tag>Home</tag>
<status status="PASS" start="2025-10-22T16:49:43.471296" elapsed="6.261254"/>
</test>
<test id="s1-s1-t2" name="Should be able to access About page" line="20">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:49.733742" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:49.733539" elapsed="0.402055"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:49:50.135777" elapsed="0.013085"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:50.149304" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:50.149074" elapsed="1.622564"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:49.733204" elapsed="2.038538"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:51.772430" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:51.772336" elapsed="0.032622"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:51.772186" elapsed="0.032870"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:49:51.805464" elapsed="0.010651"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:51.805230" elapsed="0.011042"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:51.771957" elapsed="0.044390"/>
</kw>
<kw name="GO to &quot;About&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;About&quot; Page" owner="TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:51.817401" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[4]/a'.</msg>
<arg>${TOP_NAV_ABOUT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-22T16:49:51.817111" elapsed="0.043583"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:49:53.861179" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:49:51.860866" elapsed="2.000414"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:51.816908" elapsed="2.044449"/>
</kw>
<kw name="Verify Page" owner="About">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${ABOUT_HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:49:53.861704" elapsed="0.008911"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:53.861501" elapsed="0.009200"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:51.816610" elapsed="2.054130"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:49:55.871246" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:49:53.870896" elapsed="2.000429"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:49:55.871748" elapsed="0.065566"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:55.871562" elapsed="0.065917"/>
</kw>
<doc>About Page</doc>
<tag>About</tag>
<status status="PASS" start="2025-10-22T16:49:49.732786" elapsed="6.204851"/>
</test>
<test id="s1-s1-t3" name="Should be able to access Contact page" line="27">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:55.940198" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:55.939904" elapsed="0.431163"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:49:56.371251" elapsed="0.013139"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:56.384713" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:56.384553" elapsed="1.760381"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:55.939459" elapsed="2.205626"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:58.145956" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:49:58.145830" elapsed="0.033970"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:58.145646" elapsed="0.034318"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:49:58.180561" elapsed="0.011940"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:58.180245" elapsed="0.012402"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:58.145363" elapsed="0.047358"/>
</kw>
<kw name="GO to &quot;Contact&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Contact&quot; Page" owner="TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-22T16:49:58.194020" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[6]/a'.</msg>
<arg>${TOP_NAV_CONTACT_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-22T16:49:58.193829" elapsed="0.042671"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:00.236927" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:49:58.236668" elapsed="2.000345"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:58.193598" elapsed="2.043484"/>
</kw>
<kw name="Verify Page" owner="Contact">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${CONTACT_US}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:00.237395" elapsed="0.008619"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:00.237216" elapsed="0.008879"/>
</kw>
<status status="PASS" start="2025-10-22T16:49:58.193083" elapsed="2.053053"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:02.246594" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:00.246275" elapsed="2.000409"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:50:02.247203" elapsed="0.057252"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:02.246936" elapsed="0.057614"/>
</kw>
<doc>Contact Page</doc>
<tag>Contact</tag>
<status status="PASS" start="2025-10-22T16:49:55.938045" elapsed="6.366575"/>
</test>
<test id="s1-s1-t4" name="Should be able to access Portofolio page" line="34">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:02.305613" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:02.305478" elapsed="0.416276"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:50:02.721996" elapsed="0.014423"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:02.736946" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:02.736671" elapsed="2.558501"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:02.305280" elapsed="2.989982"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:05.295895" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:05.295804" elapsed="0.029928"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:05.295657" elapsed="0.030224"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:05.326348" elapsed="0.010615"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:05.326072" elapsed="0.011020"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:05.295459" elapsed="0.041698"/>
</kw>
<kw name="GO to &quot;Portofolio&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Portofolio&quot; Page" owner="TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:05.338189" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[3]/a'.</msg>
<arg>${TOP_NAV_PORTOFOLIO_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-22T16:50:05.337964" elapsed="0.051225"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:07.389799" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:05.389425" elapsed="2.000461"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:05.337747" elapsed="2.052209"/>
</kw>
<kw name="Verify Page" owner="Portofolio">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${PORTOFOLIO}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:07.390297" elapsed="0.008079"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:07.390086" elapsed="0.008378"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:05.337426" elapsed="2.061077"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:09.398847" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:07.398654" elapsed="2.000276"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:50:09.399361" elapsed="0.056860"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:09.399170" elapsed="0.057144"/>
</kw>
<doc>Portofolio Page</doc>
<tag>Portofolio</tag>
<status status="PASS" start="2025-10-22T16:50:02.304869" elapsed="7.151517"/>
</test>
<test id="s1-s1-t5" name="Should be able to access Services page" line="41">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:09.457169" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:09.457022" elapsed="0.404495"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:50:09.861691" elapsed="0.017415"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:09.879692" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:09.879416" elapsed="3.303049"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:09.456836" elapsed="3.725765"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:13.183367" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:13.183256" elapsed="0.030766"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:13.183071" elapsed="0.031116"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:13.214822" elapsed="0.010026"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:13.214449" elapsed="0.010528"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:13.182830" elapsed="0.042194"/>
</kw>
<kw name="GO to &quot;Services&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Services&quot; Page" owner="TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:13.226060" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[2]/a'.</msg>
<arg>${TOP_NAV_SERVICES_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-22T16:50:13.225866" elapsed="0.046579"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:15.272872" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:13.272618" elapsed="2.000341"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:13.225669" elapsed="2.047364"/>
</kw>
<kw name="Verify Page" owner="Services">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${SERVICES}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:15.273389" elapsed="0.009118"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:15.273193" elapsed="0.009439"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:13.225324" elapsed="2.057365"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:17.283148" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:15.282893" elapsed="2.000351"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:50:17.283738" elapsed="0.057460"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:17.283526" elapsed="0.057763"/>
</kw>
<doc>Services Page</doc>
<tag>Services</tag>
<status status="PASS" start="2025-10-22T16:50:09.456564" elapsed="7.884795"/>
</test>
<test id="s1-s1-t6" name="Should be able to access Team page" line="48">
<kw name="Begin Web Test" owner="CommonWeb" type="SETUP">
<kw name="Open Browser" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:17.342231" level="INFO">Opening browser 'chrome' to base url 'about:blank'.</msg>
<arg>about:blank</arg>
<arg>${BROWSER}</arg>
<doc>Opens a new browser instance to the optional ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:17.342067" elapsed="0.473283"/>
</kw>
<kw name="Maximize Browser Window" owner="SeleniumLibrary">
<doc>Maximizes current browser window.</doc>
<status status="PASS" start="2025-10-22T16:50:17.815631" elapsed="0.017182"/>
</kw>
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:17.833232" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:17.833020" elapsed="3.086180"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:17.341856" elapsed="3.577433"/>
</kw>
<kw name="Go to &quot;Home&quot; page" owner="FrontOfficeApp">
<kw name="Home Page" owner="Landing">
<kw name="Go To" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:20.920021" level="INFO">Opening url 'https://automationplayground.com/front-office/'</msg>
<arg>${URL}</arg>
<doc>Navigates the current browser window to the provided ``url``.</doc>
<status status="PASS" start="2025-10-22T16:50:20.919916" elapsed="0.035277"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:20.919769" elapsed="0.035542"/>
</kw>
<kw name="Verify Page" owner="Landing">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${HOME_PAGE-HEADER}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:20.955713" elapsed="0.012083"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:20.955479" elapsed="0.012533"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:20.919533" elapsed="0.048579"/>
</kw>
<kw name="GO to &quot;Team&quot; Page" owner="FrontOfficeApp">
<kw name="Select &quot;Team&quot; Page" owner="TopNav">
<kw name="Click Element" owner="SeleniumLibrary">
<msg time="2025-10-22T16:50:20.969269" level="INFO">Clicking element 'xpath=//*[@id="bs-example-navbar-collapse-1"]/ul/li[5]/a'.</msg>
<arg>${TOP_NAV_TEAM_LINK}</arg>
<doc>Click the element identified by ``locator``.</doc>
<status status="PASS" start="2025-10-22T16:50:20.969019" elapsed="0.050214"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:23.019706" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:21.019457" elapsed="2.000339"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:20.968779" elapsed="2.051096"/>
</kw>
<kw name="Verify Page" owner="Team">
<kw name="Wait Until Page Contains" owner="SeleniumLibrary">
<arg>${AMAZING_TEAM}</arg>
<doc>Waits until ``text`` appears on the current page.</doc>
<status status="PASS" start="2025-10-22T16:50:23.020239" elapsed="0.008311"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:23.020017" elapsed="0.008623"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:20.968447" elapsed="2.060232"/>
</kw>
<kw name="Sleep" owner="BuiltIn">
<msg time="2025-10-22T16:50:25.029083" level="INFO">Slept 2 seconds.</msg>
<arg>2</arg>
<doc>Pauses the test executed for the given time.</doc>
<status status="PASS" start="2025-10-22T16:50:23.028822" elapsed="2.000363"/>
</kw>
<kw name="End Web Test" owner="CommonWeb" type="TEARDOWN">
<kw name="Close All Browsers" owner="SeleniumLibrary">
<doc>Closes all open browsers and resets the browser cache.</doc>
<status status="PASS" start="2025-10-22T16:50:25.029742" elapsed="0.056969"/>
</kw>
<status status="PASS" start="2025-10-22T16:50:25.029503" elapsed="0.057297"/>
</kw>
<doc>Team Page</doc>
<tag>Team</tag>
<status status="PASS" start="2025-10-22T16:50:17.341548" elapsed="7.745325"/>
</test>
<doc>Test the Studio Web Page</doc>
<status status="PASS" start="2025-10-22T16:49:43.387370" elapsed="41.699930"/>
</suite>
<status status="PASS" start="2025-10-22T16:49:43.372431" elapsed="41.715313"/>
</suite>
<statistics>
<total>
<stat pass="6" fail="0" skip="0">All Tests</stat>
</total>
<tag>
<stat pass="1" fail="0" skip="0">About</stat>
<stat pass="1" fail="0" skip="0">Contact</stat>
<stat pass="1" fail="0" skip="0">Home</stat>
<stat pass="1" fail="0" skip="0">Portofolio</stat>
<stat pass="1" fail="0" skip="0">Services</stat>
<stat pass="1" fail="0" skip="0">Team</stat>
</tag>
<suite>
<stat name="Tests" id="s1" pass="6" fail="0" skip="0">Tests</stat>
<stat name="Front Office" id="s1-s1" pass="6" fail="0" skip="0">Tests.Front Office</stat>
</suite>
</statistics>
<errors>
</errors>
</robot>
